Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_ORB_var Class Reference

`#include <ORB.h>`

List of all members.

## Public Methods
| CORBA_ORB_var (void)
| CORBA_ORB_var (CORBA::ORB_ptr)
| CORBA_ORB_var (const CORBA_ORB_var &)
| ~CORBA_ORB_var (void)
CORBA_ORB_var & | operator= (CORBA::ORB_ptr)
CORBA_ORB_var & | operator= (const CORBA_ORB_var &)
CORBA::ORB_ptr | operator-> (void) const
| operator const CORBA::ORB_ptr & () const
| in, inout, out, _retn. More...
| operator CORBA::ORB_ptr & ()
CORBA::ORB_ptr | in (void) const
CORBA::ORB_ptr & | inout (void)
CORBA::ORB_ptr & | out (void)
CORBA::ORB_ptr | _retn (void)
CORBA::ORB_ptr | ptr (void) const
## Private Attributes
CORBA::ORB_ptr | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ORB_var::CORBA_ORB_var | ( | void |  | ) |

ACE_INLINE CORBA_ORB_var::CORBA_ORB_var | ( | CORBA::ORB_ptr | p | ) |

ACE_INLINE CORBA_ORB_var::CORBA_ORB_var | ( | const CORBA_ORB_var & | p | ) |

ACE_INLINE CORBA_ORB_var::~CORBA_ORB_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA::ORB_ptr CORBA_ORB_var::_retn | ( | void |  | ) |

ACE_INLINE CORBA::ORB_ptr CORBA_ORB_var::in | ( | void |  | ) | const

ACE_INLINE CORBA::ORB_ptr & CORBA_ORB_var::inout | ( | void |  | ) |

ACE_INLINE CORBA_ORB_var::operator const CORBA::ORB_ptr & | ( |  | ) | const

| in, inout, out, _retn.

ACE_INLINE CORBA_ORB_var::operator CORBA::ORB_ptr & | ( |  | ) |

ACE_INLINE CORBA::ORB_ptr CORBA_ORB_var::operator-> | ( | void |  | ) | const

ACE_INLINE CORBA_ORB_var & CORBA_ORB_var::operator= | ( | const CORBA_ORB_var & | p | ) |

ACE_INLINE CORBA_ORB_var & CORBA_ORB_var::operator= | ( | CORBA::ORB_ptr | p | ) |

ACE_INLINE CORBA::ORB_ptr & CORBA_ORB_var::out | ( | void |  | ) |

ACE_INLINE CORBA::ORB_ptr CORBA_ORB_var::ptr | ( | void |  | ) | const

## Member Data Documentation

CORBA::ORB_ptr CORBA_ORB_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- ORB.h
- ORB.i